Package uk.ac.starlink.util.gui

# Class SelectCharactersEvent

java.lang.Object
java.util.EventObject
uk.ac.starlink.util.gui.SelectCharactersEvent

All Implemented Interfaces:
  `Serializable`

public class SelectCharactersEvent extends EventObject
SelectCharactersEvent defines an event that passes on new text that has been created.

Since:
  $Date$, 03-NOV-2000
Version:
  $Id$
Author:
  Peter W. Draper
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`text`
The text.

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`SelectCharactersEvent(Object source, String text)`
Constructs a SelectCharactersEvent object.

## Method Summary

Modifier and Type
Method
Description
`String`
`getText()`
Return the event text.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### text

protected String text
The text.

## Constructor Details

### SelectCharactersEvent

public SelectCharactersEvent(Object source, String text)
Constructs a SelectCharactersEvent object.

Parameters:
  `source` - the source Object (typically this).
  `text` - the new text.

## Method Details

### getText

public String getText()
Return the event text.